#include <stdio.h>
#include <stdint.h>
#include <sprinter.h>

void bank1_func(int x) __banked
{
    (void)x;
    puts("BANK1: hello from a banked function!");
    puts("BANK1: window 3 phys page = ");
    hex8(_io_page_w3);     /* should be BANK1's phys page */
    putchar('\n');
    putchar('1');
    putchar('=');
    putchar('0' + (x / 10) % 10);
    putchar('0' + x % 10);
    putchar('\n');
}
